<?php
###########################
#Скрипт: Топ-Рейтинг	  #
#Автор: SL_NeKrOmAnT      #
#Версия: 1.2.1(Free)      #
#ICQ: 313886              #
#MAIL: maloy_s95@mail.ru  #
###########################
define('NTOP', 1);
$title = 'Главная страница (TOP-100)';
require_once ('system/connect.php');
require_once ('system/core.php');
require_once ('system/function.php');
require_once ('str/head.php');
echo '<div class="title2">Новости</div>';
$posl_news = mysql_query("SELECT * FROM `".$prefix."news` ORDER BY `time` DESC LIMIT ".$set['news_index']."");
if(mysql_num_rows($posl_news) > 0)
	{
		while($row = mysql_fetch_array($posl_news))
			{
				$page = ceil(mysql_result(mysql_query("SELECT COUNT(*) FROM `".$prefix."news` WHERE `id` = '".$row['id']."'"), 0) / $page_news);
				$comm_count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_comments` WHERE `id_news`='".$row['id']."'"));
				echo '<div class="title2">';
				echo '<a href="http://'.$set['home'].'/news/index.php?page='.$page.'"><b>'.$row['name'].'</b></a> ('.data($row['time']).')<br/>';
				echo '</div>';
				echo '<div class="main">';
				if(mb_strlen($row['text']) > 30)
				{
					$text = mb_substr($row['text'],0,30);
					echo ''.$text.'....<br/>'; 
				}
				else
				{
					echo ''.$row['text'].'<br/>'; 
				}
				echo '---<br/>';
				echo '<a href="http://'.$set['home'].'/news/index.php?act=comments&id='.$row['id'].'">Комментарии('.$comm_count.')</a><br/>';
				echo '</div>';
			}
	}
	else
	{
		echo '<div class="main">';
		echo 'Новостей в Топ-Рейтинге не обнаружено! <br/>';
		echo '</div>';
	}
	echo '<div class="title2">';
	echo '<strong>Топ-100</strong> | <a href="http://'.$set['home'].'/str/cat.php">Категории</a> | <a href="http://'.$set['home'].'/str/ban.php">БАН - Лист</a><br/>';
	echo '</div>';
$all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '1' AND `ban` = '0' AND `hosts` > '0'"));
if($all != 0)
	{ 
		$total=intval(($all-1)/$page_top)+1; 
		$page=abs(intval($_GET['page'])); 
		if(empty($page) OR $page < 0)
			{
				$page = 1; 
			}
		if($page > $total)
			{
				$page = $total; 
			}
		$past=intval($all/$page_top);  
		$start=$page*$page_top-$page_top; 
		$top = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '1' AND `ban` = '0' AND `hosts` > '0' ORDER BY `hosts` DESC LIMIT ".$start.",".$page_top."");
		while($row = mysql_fetch_array($top)) 
			{
				$start++;
				$img = file_exists('images/'.$start.'_place.png') ? '<img src = "http://'.$set['home'].'/images/'.$start.'_place.png">' : '';
				echo '<div class="title">'.$start.'.'.$img.'<a href="http://'.$set['home'].'/out.php?id='.$row['id'].'"><strong>'.$row['name'].'</strong></a> [Хостов: <strong>'.$row['hosts'].'</strong> | Хитов: <strong>'.$row['hits'].'</strong>] <a href="http://'.$set['home'].'/str/infos.php?id='.$row['id'].'"><strong>[!]</strong></a><br/></div>';
				echo '<div class="main">';
				if(mb_strlen($row['about']) > 50)
					{
						$text = substr($row['about'],0,50);
						echo ''.$text.'...<br/>'; 
					}
					else
					{
						echo ''.$row['about'].'<br/>'; 
					}
				echo 'Ушло из Топа: <strong>'.$row['out'].'</strong> | Пришло в Топ: <strong>'.$row['in'].'</strong><br/>';
				echo '</div>';
			}			
			navigation($all,$page_top,$page,'index.php?',$total);
	}
	else
	{
		echo '<div class="main">';
		echo 'Сайтов учавствующих в Топ-100 не обнаружено!';
		echo '</div>';
	}
		echo '<div class="title2">';
		echo 'Меню Рейтинга';
		echo '</div>';
		echo '<div class="main">';
		echo '<a href="http://'.$set['home'].'/help/rules.php">Правила</a><br/>';
		echo '<a href="http://'.$set['home'].'/str/statistika.php">Общая статистика</a><br/>';
		echo '</div>';
		echo '<div class="title2">';
		$plaforms_no_moder = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '0'"));
		$plaforms_moder = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '1'"));
		$plaforms_all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait`"));
		$new_sait = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '1' AND `ban` = '0' ORDER BY `id` DESC LIMIT 1");
		$new_sait_check = mysql_num_rows($new_sait);
		$nsait = mysql_fetch_array($new_sait);
		$new = ($new_sait_check > 0)  ? '<a href = "http://'.$set['home'].'/str/infos.php?id='.$nsait['id'].'">'.$nsait['name'].'</a>' : 'Нет';
		echo 'Информационный блок: <br/>';
		echo '</div>';
		echo '<div class="main">';
		echo 'Всего сайтов: '.$plaforms_all.'<br/>';
		echo 'Ожидающих модерацию: '.$plaforms_no_moder.'<br/>';
		echo 'Промодерированных: '.$plaforms_moder.'<br/>';
		echo 'Последний сайт: '.$new.'<br/>';
		echo '</div>';
require_once ('str/foot.php');
?>
